| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | List of all members
RtpAnalysisDialog Class Reference

Singleton dialog for analyzing RTP streams. More...

`#include <rtp_analysis_dialog.h>`

Inheritance diagram for RtpAnalysisDialog:

## Public Slots
void | rtpPlayerReplace ()
| Slot to handle replacing streams in the RTP player.
void | rtpPlayerAdd ()
| Slot to handle adding streams to the RTP player.
void | rtpPlayerRemove ()
| Slot to handle removing streams from the RTP player.

## Signals
void | goToPacket (int packet_num)
| Signal emitted to go to a specific packet number.
void | rtpPlayerDialogReplaceRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Signal emitted to replace RTP streams in the RTP player dialog.
void | rtpPlayerDialogAddRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Signal emitted to add RTP streams in the RTP player dialog.
void | rtpPlayerDialogRemoveRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Signal emitted to remove RTP streams in the RTP player dialog.
void | updateFilter (QString filter, bool force=false)
| Signal emitted to update the display filter.

## Public Member Functions
| RtpAnalysisDialog (RtpAnalysisDialog &other)=delete
| Should not be cloneable.
void | operator= (const RtpAnalysisDialog &)=delete
| Should not be assignable.
void | replaceRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Replace an RTP streams to analyse. Requires array of rtpstream_id_t.
void | addRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Add RTP streams to analyse. Requires array of rtpstream_id_t.
void | removeRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Remove RTP streams to analyse. Requires array of rtpstream_id_t.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Static Public Member Functions
static RtpAnalysisDialog * | openRtpAnalysisDialog (QWidget &parent, CaptureFile &cf, PacketList *packet_list)
| Returns singleton instance of the RTP analysis dialog.
static QToolButton * | addAnalyzeButton (QDialogButtonBox *button_box, RtpBaseDialog *dialog)
| Common routine to add a "Analyze" button to a QDialogButtonBox.

## Protected Slots
virtual void | updateWidgets () override
| Updates the UI widgets.
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.

## Protected Member Functions
| RtpAnalysisDialog (QWidget &parent, CaptureFile &cf)
| Constructs a new RtpAnalysisDialog.
| ~RtpAnalysisDialog ()
| Destroys the RtpAnalysisDialog.
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
virtual void | updateWidgets ()
| Updates the state and contents of the dialog's widgets.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Additional Inherited Members
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Singleton dialog for analyzing RTP streams.

## Constructor & Destructor Documentation

## ◆ RtpAnalysisDialog() [1/2]

RtpAnalysisDialog::RtpAnalysisDialog | ( | RtpAnalysisDialog & | other | ) |
| delete

Should not be cloneable.

Parameters

  other | The dialog to copy from.

## ◆ RtpAnalysisDialog() [2/2]

RtpAnalysisDialog::RtpAnalysisDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf )
| explicit protected

Constructs a new RtpAnalysisDialog.

Parameters

  parent | The parent widget.
  cf | The capture file.

## Member Function Documentation

## ◆ addAnalyzeButton()

QToolButton * RtpAnalysisDialog::addAnalyzeButton | ( | QDialogButtonBox * | button_box,
|  | RtpBaseDialog * | dialog )
| static

Common routine to add a "Analyze" button to a QDialogButtonBox.

Parameters

  button_box | Caller's QDialogButtonBox.
  dialog | Pointer to the RtpBaseDialog.

Returns
  The new "Analyze" button.

## ◆ addRtpStreams()

void RtpAnalysisDialog::addRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |

Add RTP streams to analyse. Requires array of rtpstream_id_t.

Parameters

  stream_ids | structs with rtpstream_id

## ◆ goToPacket

void RtpAnalysisDialog::goToPacket | ( | int | packet_num | ) |
| signal

Signal emitted to go to a specific packet number.

Parameters

  packet_num | The target packet number.

## ◆ openRtpAnalysisDialog()

RtpAnalysisDialog * RtpAnalysisDialog::openRtpAnalysisDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | PacketList * | packet_list )
| static

Returns singleton instance of the RTP analysis dialog.

Parameters

  parent | The parent widget.
  cf | The capture file.
  packet_list | The packet list.

Returns
  Pointer to the singleton RtpAnalysisDialog instance.

## ◆ removeRtpStreams()

void RtpAnalysisDialog::removeRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |

Remove RTP streams to analyse. Requires array of rtpstream_id_t.

Parameters

  stream_ids | structs with rtpstream_id

## ◆ replaceRtpStreams()

void RtpAnalysisDialog::replaceRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |

Replace an RTP streams to analyse. Requires array of rtpstream_id_t.

Parameters

  stream_ids | structs with rtpstream_id

## ◆ rtpPlayerDialogAddRtpStreams

void RtpAnalysisDialog::rtpPlayerDialogAddRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |
| signal

Signal emitted to add RTP streams in the RTP player dialog.

Parameters

  stream_ids | Vector of stream IDs to add.

## ◆ rtpPlayerDialogRemoveRtpStreams

void RtpAnalysisDialog::rtpPlayerDialogRemoveRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |
| signal

Signal emitted to remove RTP streams in the RTP player dialog.

Parameters

  stream_ids | Vector of stream IDs to remove.

## ◆ rtpPlayerDialogReplaceRtpStreams

void RtpAnalysisDialog::rtpPlayerDialogReplaceRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |
| signal

Signal emitted to replace RTP streams in the RTP player dialog.

Parameters

  stream_ids | Vector of stream IDs to replace.

## ◆ updateFilter

void RtpAnalysisDialog::updateFilter | ( | QString | filter,
|  | bool | force = false )
| signal

Signal emitted to update the display filter.

Parameters

  filter | The filter string.
  force | True to force the update, false otherwise.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/rtp_analysis_dialog.h
- /builds/wireshark/wireshark/ui/qt/rtp_analysis_dialog.cpp